Summary: Squid WWW proxy caching software
Name: squid
Version: 2.3.STABLE4
Release: E13
Copyright: GPL
Group: Networking
Source: squid-2.3.STABLE4-src.tar.gz
Patch0: squid-2.3.stable4-ftp_icon_not_found.patch
Patch1: squid-2.3.stable4-internal_dns_rcode_table_formatting.patch
Patch2: squid-2.3.stable4-invalid_ip_acl_entry.patch
Patch3: squid-2.3.stable4-ipfw_configure.patch
Patch4: squid-2.3.stable4-cobalt.patch
Patch5: squid-2.3.stable4-cobalt2.patch
BuildRoot: /tmp/squid2build

%changelog
* Wed Apr 25 2001 Rene Hendrix <rhendrix@sun.com>
	- E13: Have the rlimit set by what's in proc, not from elsewhere

* Wed Nov 15 2000 Roger Gaudet <rogerg@shawn.com>
        - E12: Fix bug in HTTP request code where a request could be made with
          the wrong version number.
          Add additional initialization code on squid reconfigure.

* Tue Nov  7 2000 Roger Gaudet <rogerg@shawn.com>
	- E11: Fix possible bug where an HTTP/1.0 request could be sent to a
	  server on an HTTP/1.1 connection.

* Mon Nov  6 2000 Roger Gaudet <rogerg@shawn.com>
	- E10: Fix bug in lookAhead code to properly complete HTTP/1.1 requests.
	  Fix memory leak when doing pipelined requests.
	  Add Adrian's free disk space patch.

* Tue Oct 31 2000 Roger Gaudet <rogerg@shawn.com>
	- E9: proxy.pac file is now re-read when squid restarted with -k option

* Mon Oct 30 2000 Roger Gaudet <rogerg@shawn.com>
	- E8: Fix server timeout problem and proxy.pac problem

* Fri Oct 27 2000 Roger Gaudet <rogerg@shawn.com>
	- E7: Add HTTP/1.1 persistent connection & lookahead pipelining support.
	  Handle references to our local IP in proxy.pac file.

* Tue Sep 12 2000 Roger Gaudet <rogerg@shawn.com>
	- E6: Don't cache replies to requests with cookies.

* Mon Aug 21 2000 Roger Gaudet <rogerg@shawn.com>
        - E5: Doh! Used "=" instead of "==" in conditional. Dummy!

* Fri Aug 18 2000 Roger Gaudet <rogerg@shawn.com>
	- E4: fix HTTP authentication errors

* Thu Aug 17 2000 Roger Gaudet <rogerg@shawn.com>
	- E3: provide support for getting proxy PAC file immediately via button
	  in the UI

* Wed Aug 16 2000 Roger Gaudet <rogerg@shawn.com>
	- E2: final build for beta2

* Mon Aug 14 2000 Roger Gaudet <rogerg@shawn.com>
	- E1: rev to 2.3.STABLE4 plus patches

* Wed Jul 12 2000 Roger Gaudet <rogerg@shawn.com>
	- D2: final tweaks for beta release
 
* Fri Jun 30 2000 Roger Gaudet <rogerg@shawn.com>
	- D1: add lookahead and Proxy Auto-Config patches to build

* Wed May 17 2000 Adrian Sun <asun@cobalt.com>
	- rev to stable3

* Wed Apr 12 2000 Adrian Sun <asun@cobalt.com>
	- added one more patch.

* Tue Mar 28 2000 Adrian Sun <asun@cobalt.com>
	- uprev to 2.3.STABLE2 + current patches.

* Wed Feb 09 2000 Adrian Sun <asun@cobalt.com>
        - merged more patches

* Tue Feb 08 2000 Adrian Sun <asun@cobalt.com>
	- 2.3-C1: squid-2.3.STABLE1 + current patches. re-unified
          our patches.

* Mon Jul 26 1999 Gideon Glass <gid@cobaltnet.com>
	- C10: squid-2.2.STABLE4

* Tue Jun 08 1999 Gideon Glass <gid@cobaltnet.com>
	- C9: incorporate SkyCache patch (eliminate separate 
		SkyCache-squid binary) and Cobalt patch
		into unified patch

* Fri May 28 1999 Gideon Glass <gid@cobaltnet.com>
	- C8: increase NUMTHREADS in aiops.c (from 16 to 32)

* Thu May 27 1999 Gideon Glass <gid@cobaltnet.com>
	- C7: move to 2.2.STABLE3

* Thu Jan 14 1999 Gideon Glass <gid@cobaltnet.com>
	- C6: upgrade to 2.1.PATCH2 w/ IMSREply-leak patch

* Wed Dec 17 1998 Gideon Glass <gid@cobaltnet.com>
	- C5: --enable-delay-pools

* Sun Dec 06 1998 Gideon Glass <gid@cobaltnet.com>
	- C4: logs + paths dir

* Thu Oct 29 1998 Gideon Glass <gid@cobaltnet.com>
	- rel C3: include patch

* Wed Oct 28 1998 Gideon Glass <gid@cobaltnet.com>
	- rel C2: include more of /home/squid2 in rpm

* Sun Oct 25 1998 Gideon Glass <gid@cobaltnet.com>
	- rel C1: initial Squid 2 rpm based on 2.0.PATCH2 tarball

%description
Popular Open Source WWW proxy caching software based on the Harvest
research project.  See http://squid.nlanr.net/ for more.

%prep
%setup

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p0

# important: squid.conf has to override all path-related defaults
# those defaults may not exist on target systems

# make distclean

./configure --enable-async-io --enable-dlmalloc --enable-delay-pools --enable-snmp --enable-cache-digests --prefix=$RPM_BUILD_ROOT/home/squid2

%build

make all

%install

mkdir -p $RPM_BUILD_ROOT/home/squid2/bin
mkdir -p $RPM_BUILD_ROOT/home/squid2/cache
mkdir -p $RPM_BUILD_ROOT/home/squid2/etc
mkdir -p $RPM_BUILD_ROOT/home/squid2/logs

# this is all we want..

make install

strip $RPM_BUILD_ROOT/home/squid2/bin/squid
chown -R squid $RPM_BUILD_ROOT/home/squid2

%files
/home/squid2/bin
/home/squid2/cache
/home/squid2/etc/icons
/home/squid2/etc/errors
/home/squid2/etc/mime.conf
/home/squid2/logs
